﻿using Memory.Logic;

namespace Memory.Test
{
    [TestClass]
    public class CardTest
    {
        [TestMethod]
        public void Matches_SameCards_ShouldEqualTrue()
        {
            Card card1 = new(0);
            Card card2 = new(0);
            Assert.IsTrue(card1.Matches(card2));
        }

        [TestMethod]
        public void Matches_DifferentCard_ShouldEqualFalse()
        {
            Card card1 = new(0);
            Card card2 = new(1);
            Assert.IsFalse(card1.Matches(card2));
        }

        [TestMethod]
        public void Selected_IsSelected_ShouldEqualTrue()
        {
            Card card = new(0)
            {
                IsChoice1 = true
            };
            Assert.IsTrue(card.Selected());
        }

        [TestMethod]
        public void Selected_NotSelected_ShouldEqualFalse()
        {
            Card card = new(0);
            Assert.IsFalse(card.Selected());
        }
    }
}
